mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:5353
  enhanced-mode: fake-ip
  nameserver:
    - 119.29.29.29
    - 223.5.5.5
 
proxies:
  - name: Unblock
    type: ss
    server: 121.43.170.54
    port: 18888
    cipher: chacha20-ietf-poly1305
    password: zcs19960929
 
proxy-groups:
  - name: Netease Music
    type: select
    proxies:
      - Unblock
      - DIRECT
 
rules:
  # Netease Music Advertising
  - DOMAIN,admusicpic.music.126.net,REJECT
  - DOMAIN,iadmat.nosdn.127.net,REJECT
  - DOMAIN,iadmusicmat.music.126.net,REJECT
  - DOMAIN,iadmusicmatvideo.music.126.net,REJECT
 
  # Netease Music
  - DOMAIN,apm3.music.163.com,Unblock
  - DOMAIN,apm.music.163.com,Unblock
  - DOMAIN,interface3.music.163.com,Unblock
  - DOMAIN,interface.music.163.com,Unblock
  - DOMAIN,music.163.com,Unblock
  - IP-CIDR,39.105.63.80/32,Unblock,no-resolve
  - IP-CIDR,39.105.175.128/32,Unblock,no-resolve
  - IP-CIDR,47.100.127.239/32,Unblock,no-resolve
  - IP-CIDR,59.111.19.33/32,Unblock,no-resolve
  - IP-CIDR,59.111.160.195/32,Unblock,no-resolve
  - IP-CIDR,59.111.160.197/32,Unblock,no-resolve
  - IP-CIDR,103.126.92.132/32,Unblock,no-resolve
  - IP-CIDR,103.126.92.133/32,Unblock,no-resolve
  - IP-CIDR,112.13.119.18/32,Unblock,no-resolve
  - IP-CIDR,112.13.122.4/32,Unblock,no-resolve
  - IP-CIDR,115.236.118.34/32,Unblock,no-resolve
  - IP-CIDR,115.236.121.4/32,Unblock,no-resolve
  - IP-CIDR,118.24.63.156/32,Unblock,no-resolve
  - IP-CIDR,182.92.170.253/32,Unblock,no-resolve
  - IP-CIDR,193.112.159.225/32,Unblock,no-resolve
 
  # Final
  - MATCH,DIRECT